Index: trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java
===================================================================
--- trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java	(revision 11)
+++ trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java	(revision 12)
@@ -3713,176 +3738,176 @@
 
 
     // $ANTLR start "binoperator"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:578:1: binoperator returns [BinaryOperator binop] : ( T_BIIMPLIES | T_GREATER | T_GREATEREQUAL | T_LESS | T_LESSEQUAL | T_EQUAL | T_NOTEQUAL | T_IMPLIES | T_MINUS | T_SUM | T_IN ( T_SET )? | T_NOT T_IN ( T_SET )? | T_SUBSET | T_OR | T_DIV | T_PROD | T_IDIV | T_MOD | T_UNION | T_DIFF | T_INTER | T_AND | T_POW | T_CONC | T_DOMRESBY | T_DOMRESTO | T_RNGRESBY | T_RNGRESTO | T_MUNION | T_SEQMOD_MAPOVERRIDE );
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:582:1: binoperator returns [BinaryOperator binop] : ( T_BIIMPLIES | T_GREATER | T_GREATEREQUAL | T_LESS | T_LESSEQUAL | T_EQUAL | T_NOTEQUAL | T_IMPLIES | T_MINUS | T_SUM | T_IN ( T_SET )? | T_NOT T_IN ( T_SET )? | T_SUBSET | T_OR | T_DIV | T_PROD | T_IDIV | T_MOD | T_UNION | T_DIFF | T_INTER | T_AND | T_POW | T_CONC | T_DOMRESBY | T_DOMRESTO | T_RNGRESBY | T_RNGRESTO | T_MUNION | T_SEQMOD_MAPOVERRIDE );
     public final BinaryOperator binoperator() throws RecognitionException {
         BinaryOperator binop = null;
 
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:580:2: ( T_BIIMPLIES | T_GREATER | T_GREATEREQUAL | T_LESS | T_LESSEQUAL | T_EQUAL | T_NOTEQUAL | T_IMPLIES | T_MINUS | T_SUM | T_IN ( T_SET )? | T_NOT T_IN ( T_SET )? | T_SUBSET | T_OR | T_DIV | T_PROD | T_IDIV | T_MOD | T_UNION | T_DIFF | T_INTER | T_AND | T_POW | T_CONC | T_DOMRESBY | T_DOMRESTO | T_RNGRESBY | T_RNGRESTO | T_MUNION | T_SEQMOD_MAPOVERRIDE )
-            int alt62=30;
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:584:2: ( T_BIIMPLIES | T_GREATER | T_GREATEREQUAL | T_LESS | T_LESSEQUAL | T_EQUAL | T_NOTEQUAL | T_IMPLIES | T_MINUS | T_SUM | T_IN ( T_SET )? | T_NOT T_IN ( T_SET )? | T_SUBSET | T_OR | T_DIV | T_PROD | T_IDIV | T_MOD | T_UNION | T_DIFF | T_INTER | T_AND | T_POW | T_CONC | T_DOMRESBY | T_DOMRESTO | T_RNGRESBY | T_RNGRESTO | T_MUNION | T_SEQMOD_MAPOVERRIDE )
+            int alt63=30;
             switch ( input.LA(1) ) {
             case T_BIIMPLIES:
                 {
-                alt62=1;
+                alt63=1;
                 }
                 break;
             case T_GREATER:
                 {
-                alt62=2;
+                alt63=2;
                 }
                 break;
             case T_GREATEREQUAL:
                 {
-                alt62=3;
+                alt63=3;
                 }
                 break;
             case T_LESS:
                 {
-                alt62=4;
+                alt63=4;
                 }
                 break;
             case T_LESSEQUAL:
                 {
-                alt62=5;
+                alt63=5;
                 }
                 break;
             case T_EQUAL:
                 {
-                alt62=6;
+                alt63=6;
                 }
                 break;
             case T_NOTEQUAL:
                 {
-                alt62=7;
+                alt63=7;
                 }
                 break;
             case T_IMPLIES:
                 {
-                alt62=8;
+                alt63=8;
                 }
                 break;
             case T_MINUS:
                 {
-                alt62=9;
+                alt63=9;
                 }
                 break;
             case T_SUM:
                 {
-                alt62=10;
+                alt63=10;
                 }
                 break;
             case T_IN:
                 {
-                alt62=11;
+                alt63=11;
                 }
                 break;
             case T_NOT:
                 {
-                alt62=12;
+                alt63=12;
                 }
                 break;
             case T_SUBSET:
                 {
-                alt62=13;
+                alt63=13;
                 }
                 break;
             case T_OR:
                 {
-                alt62=14;
+                alt63=14;
                 }
                 break;
             case T_DIV:
                 {
-                alt62=15;
+                alt63=15;
                 }
                 break;
             case T_PROD:
                 {
-                alt62=16;
+                alt63=16;
                 }
                 break;
             case T_IDIV:
                 {
-                alt62=17;
+                alt63=17;
                 }
                 break;
             case T_MOD:
                 {
-                alt62=18;
+                alt63=18;
                 }
                 break;
             case T_UNION:
                 {
-                alt62=19;
+                alt63=19;
                 }
                 break;
             case T_DIFF:
                 {
-                alt62=20;
+                alt63=20;
                 }
                 break;
             case T_INTER:
                 {
-                alt62=21;
+                alt63=21;
                 }
                 break;
             case T_AND:
                 {
-                alt62=22;
+                alt63=22;
                 }
                 break;
             case T_POW:
                 {
-                alt62=23;
+                alt63=23;
                 }
                 break;
             case T_CONC:
                 {
-                alt62=24;
+                alt63=24;
                 }
                 break;
             case T_DOMRESBY:
                 {
-                alt62=25;
+                alt63=25;
                 }
                 break;
             case T_DOMRESTO:
                 {
-                alt62=26;
+                alt63=26;
                 }
                 break;
             case T_RNGRESBY:
                 {
-                alt62=27;
+                alt63=27;
                 }
                 break;
             case T_RNGRESTO:
                 {
-                alt62=28;
+                alt63=28;
                 }
                 break;
             case T_MUNION:
                 {
-                alt62=29;
+                alt63=29;
                 }
                 break;
             case T_SEQMOD_MAPOVERRIDE:
                 {
-                alt62=30;
+                alt63=30;
                 }
                 break;
             default:
                 final NoViableAltException nvae =
-                    new NoViableAltException("", 62, 0, input);
+                    new NoViableAltException("", 63, 0, input);
 
                 throw nvae;
 
             }
 
-            switch (alt62) {
+            switch (alt63) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:580:4: T_BIIMPLIES
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:584:4: T_BIIMPLIES
                     {
                     match(input,T_BIIMPLIES,FOLLOW_T_BIIMPLIES_in_binoperator2569);
 
@@ -3891,7 +3916,7 @@
                     }
                     break;
                 case 2 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:582:4: T_GREATER
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:586:4: T_GREATER
                     {
                     match(input,T_GREATER,FOLLOW_T_GREATER_in_binoperator2578);
 
@@ -3900,7 +3925,7 @@
                     }
                     break;
                 case 3 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:584:4: T_GREATEREQUAL
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:588:4: T_GREATEREQUAL
                     {
                     match(input,T_GREATEREQUAL,FOLLOW_T_GREATEREQUAL_in_binoperator2588);
 
@@ -3909,7 +3934,7 @@
                     }
                     break;
                 case 4 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:586:4: T_LESS
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:590:4: T_LESS
                     {
                     match(input,T_LESS,FOLLOW_T_LESS_in_binoperator2597);
 
@@ -3918,7 +3943,7 @@
                     }
                     break;
                 case 5 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:588:4: T_LESSEQUAL
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:592:4: T_LESSEQUAL
                     {
                     match(input,T_LESSEQUAL,FOLLOW_T_LESSEQUAL_in_binoperator2607);
 
@@ -3927,7 +3952,7 @@
                     }
                     break;
                 case 6 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:590:4: T_EQUAL
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:594:4: T_EQUAL
                     {
                     match(input,T_EQUAL,FOLLOW_T_EQUAL_in_binoperator2616);
 
@@ -3936,7 +3961,7 @@
                     }
                     break;
                 case 7 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:592:4: T_NOTEQUAL
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:596:4: T_NOTEQUAL
                     {
                     match(input,T_NOTEQUAL,FOLLOW_T_NOTEQUAL_in_binoperator2628);
 
@@ -3945,7 +3970,7 @@
                     }
                     break;
                 case 8 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:594:4: T_IMPLIES
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:598:4: T_IMPLIES
                     {
                     match(input,T_IMPLIES,FOLLOW_T_IMPLIES_in_binoperator2639);
 
@@ -3954,7 +3979,7 @@
                     }
                     break;
                 case 9 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:596:4: T_MINUS
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:600:4: T_MINUS
                     {
                     match(input,T_MINUS,FOLLOW_T_MINUS_in_binoperator2648);
 
@@ -3963,7 +3988,7 @@
                     }
                     break;
                 case 10 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:598:4: T_SUM
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:602:4: T_SUM
                     {
                     match(input,T_SUM,FOLLOW_T_SUM_in_binoperator2658);
 
@@ -3972,20 +3997,20 @@
                     }
                     break;
                 case 11 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:600:4: T_IN ( T_SET )?
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:604:4: T_IN ( T_SET )?
                     {
                     match(input,T_IN,FOLLOW_T_IN_in_binoperator2668);
 
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:600:9: ( T_SET )?
-                    int alt60=2;
-                    final int LA60_0 = input.LA(1);
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:604:9: ( T_SET )?
+                    int alt61=2;
+                    final int LA61_0 = input.LA(1);
 
-                    if ( (LA60_0==T_SET) ) {
-                        alt60=1;
+                    if ( (LA61_0==T_SET) ) {
+                        alt61=1;
                     }
-                    switch (alt60) {
+                    switch (alt61) {
                         case 1 :
-                            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:600:9: T_SET
+                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:604:9: T_SET
                             {
                             match(input,T_SET,FOLLOW_T_SET_in_binoperator2670);
 
@@ -4000,22 +4025,22 @@
                     }
                     break;
                 case 12 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:602:4: T_NOT T_IN ( T_SET )?
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:606:4: T_NOT T_IN ( T_SET )?
                     {
                     match(input,T_NOT,FOLLOW_T_NOT_in_binoperator2681);
 
                     match(input,T_IN,FOLLOW_T_IN_in_binoperator2683);
 
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:602:15: ( T_SET )?
-                    int alt61=2;
-                    final int LA61_0 = input.LA(1);
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:606:15: ( T_SET )?
+                    int alt62=2;
+                    final int LA62_0 = input.LA(1);
 
-                    if ( (LA61_0==T_SET) ) {
-                        alt61=1;
+                    if ( (LA62_0==T_SET) ) {
+                        alt62=1;
                     }
-                    switch (alt61) {
+                    switch (alt62) {
                         case 1 :
-                            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:602:15: T_SET
+                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:606:15: T_SET
                             {
                             match(input,T_SET,FOLLOW_T_SET_in_binoperator2685);
 
@@ -4030,7 +4055,7 @@
                     }
                     break;
                 case 13 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:604:4: T_SUBSET
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:608:4: T_SUBSET
                     {
                     match(input,T_SUBSET,FOLLOW_T_SUBSET_in_binoperator2696);
 
@@ -4039,7 +4064,7 @@
                     }
                     break;
                 case 14 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:606:4: T_OR
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:610:4: T_OR
                     {
                     match(input,T_OR,FOLLOW_T_OR_in_binoperator2706);
 
@@ -4048,7 +4073,7 @@
                     }
                     break;
                 case 15 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:608:4: T_DIV
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:612:4: T_DIV
                     {
                     match(input,T_DIV,FOLLOW_T_DIV_in_binoperator2715);
 
@@ -4057,7 +4082,7 @@
                     }
                     break;
                 case 16 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:610:4: T_PROD
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:614:4: T_PROD
                     {
                     match(input,T_PROD,FOLLOW_T_PROD_in_binoperator2724);
 
@@ -4066,7 +4091,7 @@
                     }
                     break;
                 case 17 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:612:4: T_IDIV
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:616:4: T_IDIV
                     {
                     match(input,T_IDIV,FOLLOW_T_IDIV_in_binoperator2734);
 
@@ -4075,7 +4100,7 @@
                     }
                     break;
                 case 18 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:614:4: T_MOD
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:618:4: T_MOD
                     {
                     match(input,T_MOD,FOLLOW_T_MOD_in_binoperator2744);
 
@@ -4084,7 +4109,7 @@
                     }
                     break;
                 case 19 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:616:4: T_UNION
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:620:4: T_UNION
                     {
                     match(input,T_UNION,FOLLOW_T_UNION_in_binoperator2754);
 
@@ -4093,7 +4118,7 @@
                     }
                     break;
                 case 20 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:618:4: T_DIFF
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:622:4: T_DIFF
                     {
                     match(input,T_DIFF,FOLLOW_T_DIFF_in_binoperator2765);
 
@@ -4102,7 +4127,7 @@
                     }
                     break;
                 case 21 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:620:4: T_INTER
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:624:4: T_INTER
                     {
                     match(input,T_INTER,FOLLOW_T_INTER_in_binoperator2776);
 
@@ -4111,7 +4136,7 @@
                     }
                     break;
                 case 22 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:622:4: T_AND
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:626:4: T_AND
                     {
                     match(input,T_AND,FOLLOW_T_AND_in_binoperator2787);
 
@@ -4120,7 +4145,7 @@
                     }
                     break;
                 case 23 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:624:4: T_POW
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:628:4: T_POW
                     {
                     match(input,T_POW,FOLLOW_T_POW_in_binoperator2802);
 
@@ -4129,7 +4154,7 @@
                     }
                     break;
                 case 24 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:626:4: T_CONC
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:630:4: T_CONC
                     {
                     match(input,T_CONC,FOLLOW_T_CONC_in_binoperator2817);
 
@@ -4138,7 +4163,7 @@
                     }
                     break;
                 case 25 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:628:4: T_DOMRESBY
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:632:4: T_DOMRESBY
                     {
                     match(input,T_DOMRESBY,FOLLOW_T_DOMRESBY_in_binoperator2830);
 
@@ -4147,7 +4172,7 @@
                     }
                     break;
                 case 26 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:630:4: T_DOMRESTO
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:634:4: T_DOMRESTO
                     {
                     match(input,T_DOMRESTO,FOLLOW_T_DOMRESTO_in_binoperator2840);
 
@@ -4156,7 +4181,7 @@
                     }
                     break;
                 case 27 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:632:4: T_RNGRESBY
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:636:4: T_RNGRESBY
                     {
                     match(input,T_RNGRESBY,FOLLOW_T_RNGRESBY_in_binoperator2850);
 
@@ -4165,7 +4190,7 @@
                     }
                     break;
                 case 28 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:634:4: T_RNGRESTO
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:638:4: T_RNGRESTO
                     {
                     match(input,T_RNGRESTO,FOLLOW_T_RNGRESTO_in_binoperator2860);
 
@@ -4174,7 +4199,7 @@
                     }
                     break;
                 case 29 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:636:4: T_MUNION
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:640:4: T_MUNION
                     {
                     match(input,T_MUNION,FOLLOW_T_MUNION_in_binoperator2870);
 
@@ -4183,7 +4208,7 @@
                     }
                     break;
                 case 30 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:638:4: T_SEQMOD_MAPOVERRIDE
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:642:4: T_SEQMOD_MAPOVERRIDE
                     {
                     match(input,T_SEQMOD_MAPOVERRIDE,FOLLOW_T_SEQMOD_MAPOVERRIDE_in_binoperator2880);
 
@@ -4209,7 +4234,7 @@
 
 
     // $ANTLR start "atomExpression"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:644:1: atomExpression returns [Expression expr] : ( ( (unexpr= op_un )? (e= identifierExpression |e= constant |e= initializedComplexType |e= quantifierExpression | T_LPAREN e= expression T_RPAREN ( ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[e] )? |e= accessExpression[e] )? ) ( 'as' cid= T_IDENTIFIER )? ) |ie= T_IF ce= expression T_THEN te= expression T_ELSE ee= expression T_END );
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:648:1: atomExpression returns [Expression expr] : ( ( (unexpr= op_un )? (e= identifierExpression |e= constant |e= initializedComplexType |e= quantifierExpression | T_LPAREN e= expression T_RPAREN ( ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[e] )? |e= accessExpression[e] )? ) ( 'as' cid= T_IDENTIFIER )? ) |ie= T_IF ce= expression T_THEN te= expression T_ELSE ee= expression T_END );
     public final Expression atomExpression() throws RecognitionException {
         Expression expr = null;
 
